Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 40237 - TopComponent.componentShowing () called twice!
TopComponent.componentShowing () called twice!
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
3.x
PC Windows ME/2000
: P2 (vote)
: 3.x
Assigned To: David Simonek
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-18 15:41 UTC by Jan Jancura
Modified: 2008-12-22 17:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Stack Trace (2.96 KB, text/plain)
2004-02-18 15:42 UTC, Jan Jancura
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Jancura 2004-02-18 15:41:18 UTC
TopComponent.componentShowing () method is called
twice during NB startup.
Looks like hotfix #37188 has been too hot!
Comment 1 Jan Jancura 2004-02-18 15:42:13 UTC
Created attachment 13508 [details]
Stack Trace
Comment 2 _ ttran 2004-02-19 12:44:58 UTC
P1 -> P2
Comment 3 David Simonek 2004-02-23 13:59:30 UTC
Working...
Comment 4 David Simonek 2004-02-23 15:47:32 UTC
fixed in main trunk, cvs log:
/cvs/core/windows/src/org/netbeans/core/windows/PersistenceHandler.java,v
 new revision: 1.24; previous revision: 1.23
/cvs/core/windows/src/org/netbeans/core/windows/WindowManagerImpl.java,v
 new revision: 1.20; previous revision: 1.19
Comment 5 Lukas Hasik 2004-02-26 15:01:31 UTC
Jan, could you please verify ? thanks advance.
Comment 6 Lukas Hasik 2004-02-26 17:07:37 UTC
and what about unit test. It should be covered,... Dafe?
Comment 7 David Simonek 2004-02-27 08:54:05 UTC
Yes, it should, you are right. I'll have to get a lesson from unit
test maniac Yarda, because embarrasingly I don't know how to arrange
my workplace for writing unit tests. God, I don't have to know
everything, do I? :-)
Comment 8 Lukas Hasik 2004-02-27 09:22:19 UTC
ok, i hope that you'll remember about the test. And you definetly
should take Yarda's lessons :))) Nobody's perfect ;)
thanks god that I'm not zajo - he'd reopen it without test...
Comment 9 Marian Mirilovic 2004-03-13 11:18:00 UTC
verified in [nb_36](200403121830)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo